#include "ordertxt.ih"

// static
OrderTxt::ConstIterVectIter OrderTxt::find(ConstIterVectIter const &begin, 
                                           ConstIterVectIter const &end,
                                           bool (*checkFun)(Element const &))
{
    return find_if(begin, end,
                [&](VectConstIter const &iter)
                {
                    return (*checkFun)(*iter);
                }
            );
}
